<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>

<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));

	var popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 350
	});

    var overlay = new Cubix.Overlay.Box(document.body, { showLoader: true });
	/* don't forget to assign Cubix.Grid.Instance when using Cubix.Popup.Actions.Save */
	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: 'ID', field: 'id', type: 'number', sortable: true, width: '40px' },
			{ title: 'ISO', field: 'iso', type: 'string', sortable: true, width: '40px' },
			{ title: 'Title <img src="/img/flags/<?= $this->lang() ?>.png" width="16" height="11" />', field: 'title_<?= $this->lang() ?>', type: 'string', sortable: true }
		],
		sort: {
			field: 'title_<?= $this->lang() ?>',
			dir: 'asc'
		},
		actions: [ { type: 'remove', func: function (data) {
			if ( confirm('Are you sure you want to delete this row?') ) {
				this.overlay.disable();
				new Request({
					url: '<?= $this->baseUrl() ?>/geography/countries/remove?id=' + data.id,
					onSuccess: function (resp) {
						this.load();
					}.bind(this)
				}).send();
			}
		} }, { type: 'edit', func: function (data) {
			popup.setTitle('Edit Country');
			popup.load('<?= $this->baseUrl() ?>/geography/countries/edit?id=' + data.id, function () {
				this.open();
			});
		} } ],
		data: new Cubix.Grid.Loader({ url: '<?= $this->baseUrl() ?>/geography/countries/data' })
	});

	new Cubix.Button($('btn-create'), { onClick: function () {
		popup.setTitle('Add New Country');
		popup.load('<?= $this->baseUrl() ?>/geography/countries/create', popup.open);
	}, icon: 'add', caption: 'Add New Country' });

    new Cubix.Button($('btn-sync'), { onClick: function () {
        overlay.disable();
        new Request({
            url: '<?= $this->baseUrl() ?>/geography/cities/sync?application_id=<?= Cubix_Application::getId() ?>&action_name=Countries',
            method: 'get',
            onSuccess: function (resp) {
                overlay.enable();
                resp = JSON.decode(resp);

                if(resp.status === 'error'){
                    alert('Error : ' + resp.message);
                }else{
                    alert(resp.message);
                }
            }
        }).send();
    }, icon: 'refresh', caption: 'Synchronize' });
};
</script>

<div class="buttons_area mb50">
    <div class="mt10 fleft">
        <a id="btn-create"></a>
        <div class="clear"></div>
    </div>

    <div class="mt10 fleft">
        <a id="btn-sync"></a>
        <div class="clear"></div>
    </div>
</div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
